## org.h2.java.lang
Class Long

    java.lang.Object
      org.h2.java.lang.Long

    public class Long

extends java.lang.Object

A java.lang.Long implementation.

Field Summary
`static long` `MAX_VALUE` The largest possible value.
`static long` `MIN_VALUE` The smallest possible value.

Constructor Summary
`Long()`

Method Summary
`static String` `toString(long x)` Convert a value to a String.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MIN_VALUE

    public static final long MIN_VALUE

  The smallest possible value.

  See Also:
    Constant Field Values

### MAX_VALUE

    public static final long MAX_VALUE

  The largest possible value.

  See Also:
    Constant Field Values

Constructor Detail

### Long

    public Long()

Method Detail

### toString

    public static String toString(long x)

  Convert a value to a String.

  Parameters:
    `x` - the value
  Returns:
    the String